diff --git a/reconf b/reconf
index 290b0654bba4c15e9a87fd8a487c9145377ad3cd..bb525bdb3421598f3a581d04c1151f31f970e641 100755
--- a/reconf
+++ b/reconf
@@ -1,7 +1,15 @@
 #!/bin/sh
 set -x
 rm -f config.cache
-glibtoolize --copy --force
+
+type -p glibtoolize 1>/dev/null 2>&1
+
+if test "$?" = "0"; then
+  glibtoolize --copy --force
+else
+  libtoolize --copy --force
+fi
+
 aclocal -I m4
 autoheader
 automake -a -c -f